<?php



class TblblogschoolsMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogschoolsMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogschoolsPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogschoolsPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogschools');
		$tMap->setClassname('Tblblogschools');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('SC_ID', 'ScId', 'INTEGER', true, null);

		$tMap->addColumn('SC_NAME', 'ScName', 'VARCHAR', true, null);

		$tMap->addColumn('SC_TYPE', 'ScType', 'TINYINT', true, 1);

		$tMap->addColumn('SC_PARENT', 'ScParent', 'INTEGER', true, null);

		$tMap->addColumn('SC_APPROVE', 'ScApprove', 'TINYINT', true, null);

		$tMap->addColumn('SC_PHONE', 'ScPhone', 'VARCHAR', true, 30);

		$tMap->addColumn('SC_EMAIL', 'ScEmail', 'VARCHAR', true, 50);

		$tMap->addColumn('SC_HEADMASTER', 'ScHeadmaster', 'VARCHAR', true, 50);

		$tMap->addColumn('SC_TAXCODE', 'ScTaxcode', 'VARCHAR', true, 50);

		$tMap->addColumn('SC_USER', 'ScUser', 'INTEGER', true, null);

	} 
} 